# Generated by Otto, do not edit!
#
# This is the Vagrantfile generated by Otto for building the
# binary that is used as a dependency for development.
#
# Do not hand-edit this file. To modify this, use the Appfile.

Vagrant.configure("2") do |config|
  config.vm.box = "hashicorp/precise64"

  # Setup a synced folder from our working directory to /vagrant
  config.vm.synced_folder '{{ path.working }}', "{{ shared_folder_path }}",
    owner: "vagrant", group: "vagrant"

  {% if import_path != "" %}
  # Disable the default synced folder
  config.vm.synced_folder ".", "/vagrant", disabled: true
  {% endif %}

  # Enable SSH agent forwarding so getting private dependencies works
  config.ssh.forward_agent = true

  # Setup a synced folder from where our compiled data is to
  # /otto. We do this to access the build script.
  config.vm.synced_folder File.join('{{ path.compiled }}', 'dev-dep'), "/otto"

  # Setup a synced folder from where the cache dir is
  config.vm.synced_folder '{{ path.cache }}', "/otto-cache"

  # Install Go build environment
  config.vm.provision "shell", inline: $script_golang

  config.vm.provider :parallels do |p, o|
    o.vm.box = "parallels/ubuntu-12.04"
  end
end

$script_golang = <<SCRIPT
set -e

oe() { $@ 2>&1 | logger -t otto > /dev/null; }
ol() { echo "[otto] $@"; }

# If we have Go, then do nothing
if command -v go >/dev/null 2>&1; then
    ol "Go already installed! Otto won't install Go."
    exit 0
fi

ol "Downloading Go {{ dev_go_version }}..."
oe wget -q -O /home/vagrant/go.tar.gz https://storage.googleapis.com/golang/go{{ dev_go_version }}.linux-amd64.tar.gz

ol "Untarring Go..."
oe sudo tar -C /usr/local -xzf /home/vagrant/go.tar.gz

ol "Making GOPATH..."
oe sudo mkdir -p /opt/gopath
fstype=$(find /opt/gopath -mindepth 0 -maxdepth 0 -type d -printf "%F")
find /opt/gopath -fstype ${fstype} -print0 | xargs -0 -n 100 chown vagrant:vagrant

ol "Setting up PATH..."
echo 'export PATH=/opt/gopath/bin:/usr/local/go/bin:$PATH' >> /home/vagrant/.bashrc
echo 'export GOPATH=/opt/gopath' >> /home/vagrant/.bashrc

ol "Installing VCSs for go get..."
oe sudo apt-get update -y
oe sudo apt-get install -y git bzr mercurial

ol "Configuring Go to use SSH instead of HTTP..."
git config --global url."git@github.com:".insteadOf "https://github.com/"
SCRIPT
