---
layout: "docs"
page_title: "Backwards Compatibility"
sidebar_current: "docs-install-bc"
description: |-
  Information about the backwards compatibility promise for Otto.
---

# Backwards Compatibility

When discussing backwards compatibility for Otto, there are usually two
areas of primary concern: Appfile compatibility, and the safety of deployed
applications.

**Appfile**. Appfile syntax compatibility is not promised until version 1.0.
Despite this, we don't plan on dramatically changing the format and any
changes will be clearly documented in the
[CHANGELOG](https://github.com/hashicorp/otto/blob/master/CHANGELOG.md).
Due to Otto's model of compiling the Appfile, any backward incompatible
changes won't affect existing Otto environments until a recompile
occurs (via `otto compile`). This minimizes the affect of Otto upgrades
on Appfiles.

**Builds and Deployments**. Because Otto deploys your applications, it is
important to understand the implications of upgrading Otto and whether your
deploys will break or incur downtime. Safe upgrades for infrastructure and
deployments aren't promised for Otto 0.1, but are a target for 0.2. For 0.1,
please consider builds and deployments good for demos and hobby projects.
You can expect with 0.2 that your deployments may be destroyed. However,
0.2 should include features for safe upgrades from that point forward.

**Other**. For internal folder structures such as `~/.otto.d`, `.otto`,
and `.ottoid`, Otto keeps track of data format versions and will silently
upgrade these. Note that once they're upgraded, an older version of Otto
cannot safely be used. There are a lot of checks in Otto
to verify this doesn't happen, and Otto should give you an error if it
attempts to read data generated by a newer version.
